Subject: Re: Smelting and Meteorite Iron

From: [email-masked] (George Dixon)
Date: Mon, 12 Feb 1996 10:14:12 -0500

> Let's see thats time 365 days a year times 100,000 years since Neandertals
>started using tools times the 10% of the meteorites that are fe/ni (so about
>50/60#/day) times the 30% of Earth that is dry land equals about 5,500 to
>6,500# per year or 5-1/2 to 6-1/2 billion pounds of available nickel-iron
>meteorites just there to be picked up.  Now what in the heck are we doing
>wasting our time on the internet when we could be out there picking up nearly
>pure iron for the taking. Why I'm surprised that we're not tripping over this
>stuff.

Whoa, just reading this makes me want to put a hard-hat on before I walk
out to the wood pile!   And I thought that was rain beating on the roof the
other night........................
George